Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.log
Class LoadTestLogMessageEntry

    java.lang.Object
      com.eviware.soapui.impl.wsdl.loadtest.log.LoadTestLogMessageEntry

All Implemented Interfaces:
  LoadTestLogEntry

    public class LoadTestLogMessageEntry

extends java.lang.Object
implements LoadTestLogEntry

A simple message LoadTest Log entry

Author:
  Ole.Matzura

Constructor Summary
`LoadTestLogMessageEntry(java.lang.String message)`

Method Summary
`void` | `discard()`
`void` | `exportToFile(java.lang.String fileName)`
`ActionList` | `getActions()`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getTargetStepName()`
`long` | `getTimeStamp()`
`java.lang.String` | `getType()`
`boolean` | `isDiscarded()`
`boolean` | `isError()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadTestLogMessageEntry

    public LoadTestLogMessageEntry(java.lang.String message)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Specified by:
    `getMessage` in interface `LoadTestLogEntry`

### getTimeStamp

    public long getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `LoadTestLogEntry`

### getTargetStepName

    public java.lang.String getTargetStepName()

  Specified by:
    `getTargetStepName` in interface `LoadTestLogEntry`

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `LoadTestLogEntry`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `LoadTestLogEntry`

### isError

    public boolean isError()

  Specified by:
    `isError` in interface `LoadTestLogEntry`

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `LoadTestLogEntry`

### exportToFile

    public void exportToFile(java.lang.String fileName)
                      throws java.io.IOException

  Specified by:
    `exportToFile` in interface `LoadTestLogEntry`
  Throws:
    `java.io.IOException`

### discard

    public void discard()

  Specified by:
    `discard` in interface `LoadTestLogEntry`

### isDiscarded

    public boolean isDiscarded()

  Specified by:
    `isDiscarded` in interface `LoadTestLogEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.